View Issue Details

IDProjectCategoryView StatusLast Update
0023616mantisbtapi restpublic2017-12-04 02:17
ReportersandyjAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.9.0Fixed in Version2.9.0 
Summary0023616: Support exporting issue history
Description

As users cannot export issue history via manage columns, this should be provided via api to allow users to gets the history for specified issues.

TagsNo tags attached.

Relationships

related to 0019691 new Export Issue History 
related to 0020945 new XmlImportExport plugin, export history data 

Activities

Related Changesets

MantisBT: master af2a3643

2017-11-10 02:23:58

vboctor

Details Diff
Support issue history in REST API

Getting an issue via REST API should return issue history information.

Fixes 0023616
mod - api/soap/mc_issue_api.php Diff File
mod - core/history_api.php Diff File
mod - core/relationship_api.php Diff File

Issue History

Date Modified Username Field Change
2017-11-09 15:16 sandyj New Issue
2017-11-09 16:46 atrol Relationship added related to 0019691
2017-11-09 16:46 atrol Relationship added related to 0020945
2017-11-10 02:33 vboctor Assigned To => vboctor
2017-11-10 02:33 vboctor Status new => assigned
2017-11-10 02:33 vboctor Product Version => 2.8.0
2017-11-10 02:33 vboctor Target Version => 2.9.0
2017-11-10 02:33 vboctor Note Added: 0058174
2017-11-16 23:32 vboctor Changeset attached => MantisBT master af2a3643
2017-11-16 23:32 vboctor Status assigned => resolved
2017-11-16 23:32 vboctor Resolution open => fixed
2017-11-16 23:32 vboctor Fixed in Version => 2.9.0
2017-12-04 02:17 vboctor Status resolved => closed